Bug 546803 - [abrt] crash in xscreensaver-gl-extras-1:5.10-2.fc12 & rss-glx-0.9.1.p-2.fc12 @ _mesa_meta_begin: drivers/common/meta.c:328
Summary: [abrt] crash in xscreensaver-gl-extras-1:5.10-2.fc12 & rss-glx-0.9.1.p-2.fc12...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa   
(Show other bugs)
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:85d8ee32a310483cde68a76552f...
Keywords: Triaged
: 539655 539658 548045 549951 553819 553872 554070 562063 574751 585835 590130 611221 615568 617770 626257 638681 641807 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-12 01:04 UTC by Otto
Modified: 2018-04-11 15:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 14:16:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.77 KB, text/plain)
2009-12-12 01:04 UTC, Otto
no flags Details

Description Otto 2009-12-12 01:04:00 UTC
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: glblur -root
component: xscreensaver
executable: /usr/libexec/xscreensaver/glblur
kernel: 2.6.31.6-166.fc12.i686.PAE
package: xscreensaver-gl-extras-1:5.10-2.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Otto 2009-12-12 01:04:01 UTC
Created attachment 377822 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2009-12-12 07:56:10 UTC
Switching to mesa.

Comment 3 Matěj Cepl 2009-12-21 17:51:53 UTC
#0  _mesa_meta_begin (ctx=<value optimized out>, state=<value optimized out>)
    at drivers/common/meta.c:358
        save = 0x0
#1  0x0025b021 in copy_tex_image (ctx=0x8a57620, dims=<value optimized out>, 
    target=<value optimized out>, level=<value optimized out>, 
    internalFormat=<value optimized out>, x=<value optimized out>, 
    y=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>, border=<value optimized out>)
    at drivers/common/meta.c:2188
        texObj = <value optimized out>
        texImage = <value optimized out>
        postConvWidth = 128
        postConvHeight = 128
        format = 6409
        type = 5121
        bpp = <value optimized out>
        buf = 0x8bb6be0
#2  0x001c2c31 in _mesa_CopyTexImage2D (target=<value optimized out>, 
    level=<value optimized out>, internalFormat=<value optimized out>, 
    x=<value optimized out>, y=<value optimized out>, 
    width=<value optimized out>, height=<value optimized out>, 
    border=<value optimized out>) at main/teximage.c:2812
        texObj = <value optimized out>
        texImage = <value optimized out>
        postConvWidth = 128
        postConvHeight = 128
        face = <value optimized out>
        ctx = <value optimized out>
#3  0x03940739 in glCopyTexImage2D (target=<value optimized out>, 
    level=<value optimized out>, internalformat=<value optimized out>, 
    x=<value optimized out>, y=<value optimized out>, 
    width=<value optimized out>, height=<value optimized out>, 
    border=<value optimized out>) at ../../../src/mesa/glapi/glapitemp.h:1732
No locals.
#4  0x0804adcf in render_scene_to_texture (mi=0x8a512a0)
    at ../../../hacks/glx/glblur.c:263
        bp = 0x8a518b0

Comment 4 Matěj Cepl 2009-12-21 17:53:07 UTC
*** Bug 539655 has been marked as a duplicate of this bug. ***

Comment 5 Matěj Cepl 2009-12-21 17:53:07 UTC
*** Bug 548045 has been marked as a duplicate of this bug. ***

Comment 6 Mamoru TASAKA 2009-12-26 07:59:56 UTC
*** Bug 549951 has been marked as a duplicate of this bug. ***

Comment 7 Mamoru TASAKA 2010-01-10 11:19:57 UTC
*** Bug 554070 has been marked as a duplicate of this bug. ***

Comment 8 Mamoru TASAKA 2010-02-06 15:27:26 UTC
*** Bug 553819 has been marked as a duplicate of this bug. ***

Comment 9 Mamoru TASAKA 2010-02-06 15:34:17 UTC
*** Bug 553872 has been marked as a duplicate of this bug. ***

Comment 10 Mamoru TASAKA 2010-02-06 15:36:05 UTC
*** Bug 539658 has been marked as a duplicate of this bug. ***

Comment 11 Mamoru TASAKA 2010-03-18 13:58:52 UTC
*** Bug 574751 has been marked as a duplicate of this bug. ***

Comment 12 Mamoru TASAKA 2010-04-26 07:55:40 UTC
*** Bug 585835 has been marked as a duplicate of this bug. ***

Comment 13 Jeff Raber 2010-06-16 23:04:15 UTC
*** Bug 562063 has been marked as a duplicate of this bug. ***

Comment 14 Jeff Raber 2010-06-16 23:06:35 UTC
*** Bug 590130 has been marked as a duplicate of this bug. ***

Comment 15 Jeff Raber 2010-06-16 23:07:26 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 16 Mamoru TASAKA 2010-07-04 14:38:42 UTC
*** Bug 611221 has been marked as a duplicate of this bug. ***

Comment 17 Nils Philippsen 2010-07-19 08:51:33 UTC
*** Bug 615568 has been marked as a duplicate of this bug. ***

Comment 18 Mamoru TASAKA 2010-07-23 21:55:23 UTC
*** Bug 617770 has been marked as a duplicate of this bug. ***

Comment 19 Nils Philippsen 2010-10-11 12:39:54 UTC
*** Bug 638681 has been marked as a duplicate of this bug. ***

Comment 20 Nils Philippsen 2010-10-11 12:40:56 UTC
*** Bug 641807 has been marked as a duplicate of this bug. ***

Comment 21 Adam Jackson 2010-10-28 14:16:44 UTC
Backtrace is from an old version of abrt that doesn't include enough information to know what version of Mesa is in use.

Comment 22 Fabrice Bellet 2010-11-01 11:20:36 UTC
*** Bug 626257 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.